Source: https://leadping.ai/docs/api-reference/organizations/list-organization-switch-options

# List organization switch options

Lists organizations the authenticated user can switch into, including membership role and current-organization selection data.

## Endpoint

`GET /organizations/me/options`

```bash
curl --request GET \
  --url https://api.leadping.ai/organizations/me/options \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.leadping.ai/organizations/me/options"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```csharp
using RestSharp;


var options = new RestClientOptions("https://api.leadping.ai/organizations/me/options");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
```

```java
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/organizations/me/options")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.leadping.ai/organizations/me/options', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.leadping.ai/organizations/me/options"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.leadping.ai/organizations/me/options",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

## Authorizations

### `Authorization`

- **Type:** `string`
- **Location:** `header`
- **Required**

Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with `sk_`.

## Response

**Status:** `200`  
**Content-Type:** `application/json`

Returns the list of organization switch option.

### Response body

The response is an array of organization switch options.

```json
[
  {
    "id": "<string>",
    "name": "<string>",
    "role": "Owner",
    "isCurrent": true,
    "lastUsedAt": "2023-11-07T05:31:56Z",
    "organizationStatus": "SettingUp",
    "activationStatus": "DraftOnboarding",
    "tenDlcStatus": "NotStarted",
    "needsAdminReview": true,
    "activationSummary": "<string>",
    "hasPaymentMethod": true,
    "readyForCustomerTraffic": true
  }
]
```

#### `id`

- **Type:** `string`

Unique Leadping identifier for this organization switch option.

#### `name`

- **Type:** `string`

The human-readable name shown for this organization switch option.

#### `role`

- **Type:** `enum<string>`

Identifies an organization member's access level and permission scope within Leadping.

Available options:

- `Owner`
- `Admin`
- `Agent`

#### `isCurrent`

- **Type:** `boolean`

Whether this organization switch option is current.

#### `lastUsedAt`

- **Type:** `null | string<date-time>`

UTC timestamp for last used at on this organization switch option.

#### `organizationStatus`

- **Type:** `null | enum<string>`

Describes an organization's account lifecycle and whether it can actively use Leadping services.

Available options:

- `SettingUp`
- `SetupCompleted`
- `Active`

#### `activationStatus`

- **Type:** `null | enum<string>`

Summarizes an organization's overall progress from initial Leadping onboarding through launch readiness.

Available options:

- `DraftOnboarding`
- `PaymentMethodPending`
- `PaymentMethodConfirmed`
- `SubscriptionPending`
- `SubscriptionReceived`
- `SubscriptionActive`
- `LaunchReviewPending`
- `TelephonyProvisioningPending`
- `TelephonyPartiallyProvisioned`
- `TelephonyReady`
- `AwaitingReview`
- `DomainSelection`
- `WebsiteSetup`
- `ComplianceRegistration`
- `ReadyForApproval`
- `Active`
- `Failed`
- `Blocked`
- `BlockedRequiresOperatorAction`
- `ManuallyBypassed`

#### `tenDlcStatus`

- **Type:** `null | enum<string>`

Describes an organization's overall 10DLC registration lifecycle across brand and messaging campaign submission.

Available options:

- `NotStarted`
- `DraftGenerated`
- `DraftIncomplete`
- `ReadyToSubmit`
- `Submitted`
- `PendingTelnyxReview`
- `Approved`
- `Rejected`
- `NeedsChanges`
- `ResubmissionReady`
- `Failed`

#### `needsAdminReview`

- **Type:** `boolean`

Whether needs admin review applies to this organization switch option.

#### `activationSummary`

- **Type:** `null | string`

Activation summary for this organization switch option.

#### `hasPaymentMethod`

- **Type:** `boolean`

Whether the organization has a default billing payment method.

#### `readyForCustomerTraffic`

- **Type:** `boolean`

Whether ready for customer traffic applies to this organization switch option.

## Error responses

### `401 Unauthorized`

```json
{
  "type": "about:blank",
  "title": "Unauthorized",
  "status": 401,
  "detail": "The request could not be completed."
}
```

### `429 Too Many Requests`

```json
{
  "type": "about:blank",
  "title": "Too Many Requests",
  "status": 429,
  "detail": "The request could not be completed."
}
```

[Previous: Create an organization account](https://leadping.ai/docs/api-reference/organizations/create-an-organization-account)

[Next: Switch current organization account context](https://leadping.ai/docs/api-reference/organizations/switch-current-organization-account-context)
